﻿using FluentMigrator;

namespace Coscine.Database.Tests.Migrations
{
    [Migration(333301010000)]
    public class SampleMigrationUsers : FluentMigrator.Migration
    {
        public override void Up()
        {
            Create.Table("TestUsers")
                .WithColumn("UserId").AsInt32().NotNullable().PrimaryKey().Identity()
                .WithColumn("UserName").AsString(255).NotNullable().WithDefaultValue("Anonymous");

            Insert.IntoTable("TestUsers").Row(new { UserName = "user1" });
            Insert.IntoTable("TestUsers").Row(new { UserName = "user2" });
            Insert.IntoTable("TestUsers").Row(new { UserName = "user3" });
        }

        public override void Down()
        {
            Delete.Table("TestUsers");
        }
    }

    [Migration(333301010001)]
    public class SampleMigrationProjects : FluentMigrator.Migration
    {
        public override void Up()
        {
            Create.Table("TestProjects")
                .WithColumn("ProjectId").AsInt32().NotNullable().PrimaryKey().Identity()
                .WithColumn("ProjectName").AsString(255).NotNullable().WithDefaultValue("Anonymous");

            Insert.IntoTable("TestProjects").Row(new { ProjectName = "project2" });
            Insert.IntoTable("TestProjects").Row(new { ProjectName = "project3" });
            Insert.IntoTable("TestProjects").Row(new { ProjectName = "project1" });
        }

        public override void Down()
        {
            Delete.Table("TestProjects");
        }
    }
}
