﻿using Coscine.Database.Model;
using LinqToDB;
using LinqToDB.Mapping;

namespace Coscine.Database.Tests
{
    public class TestCoscineDb : CoscineDB
    {
        public TestCoscineDb(string providerName, string connectionString) : base(providerName, connectionString)
        {

        }

        public ITable<TestProject> TestProjects { get => GetTable<TestProject>(); }
        public ITable<TestUser> TestUsers { get => GetTable<TestUser>(); }
    }

    [Table(Schema = "dbo", Name = "TestProjects")]
    public partial class TestProject
    {
        [PrimaryKey, Identity] public int ProjectId { get; set; } // int
        [Column, NotNull] public string ProjectName { get; set; } // nvarchar(255)
    }

    [Table(Schema = "dbo", Name = "TestUsers")]
    public partial class TestUser
    {
        [PrimaryKey, Identity] public int UserId { get; set; } // int
        [Column, NotNull] public string UserName { get; set; } // nvarchar(255)
    }
}