﻿using FluentMigrator;
using System;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Xml;
using System.Xml.Linq;

#region DupFinder Exclusion
namespace Coscine.Database.Migration.Migrations
{
    //yyyymmddhhmm
    [Migration(201912091553)]
    public class Migration201912091553ShibbolethAddition : FluentMigrator.Migration
    {
        public override void Down()
        {
            Delete.FromTable("ExternalAuthenticators").Row(new { DisplayName = "Shibboleth" });

            Delete.Column("Entitlement").FromTable("Users");
            Delete.Column("Organization").FromTable("Users");
        }

        public override void Up()
        {
            Insert.IntoTable("ExternalAuthenticators").Row(new { DisplayName = "Shibboleth" });

            Alter.Table("Users").AddColumn("Entitlement").AsString(200).Nullable();
            Alter.Table("Users").AddColumn("Organization").AsString(200).Nullable();
        }
    }
}
#endregion